apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: emrv2-prod-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/enable-owasp-core-rules: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "32m"
spec:
  tls:
    - hosts:
      - hub.vaultdragon.com
      - hub-api.vaultdragon.com
      secretName: vaultdragon.com
  rules:
  - host: hub.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-prod-fe-service
          servicePort: 80
  - host: hub-api.vaultdragon.com
    http:
      paths:
      - backend:
          serviceName: emrv2-prod-api-service
          servicePort: 80